[Bazaar]

## Spawn the shrine in the Bazaar Between Time.
# Setting type: Boolean
# Default value: false
Spawn Shrine in Bazaar = false

## Position of the shrine in the Bazaar Between Time
# Setting type: Vector3
# Default value: {"x":-139.5,"y":-25.5,"z":-19.899999618530275}
Shrine Position in Bazaar = {"x":-139.5,"y":-25.5,"z":-19.899999618530275}

## Angle (rotation) of the shrine in the Bazaar Between Time
# Setting type: Vector3
# Default value: {"x":0.0,"y":0.0,"z":0.0}
Shrine Angle in Bazaar = {"x":0.0,"y":0.0,"z":0.0}

[Commencement]

## Spawn the shrine in Commencement.
# Setting type: Boolean
# Default value: true
Spawn Shrine in Moon = true

## Position of the shrine in Commencement (pre-Aniversary)
# Setting type: Vector3
# Default value: {"x":749.4000244140625,"y":253.0,"z":-244.3000030517578}
Shrine Position in Commencement (pre-Aniversary) = {"x":749.4000244140625,"y":253.0,"z":-244.3000030517578}

## Angle (rotation) of the shrine in Commencement (pre-Aniversary)
# Setting type: Vector3
# Default value: {"x":0.0,"y":143.1999969482422,"z":0.0}
Shrine Angle in Commencement (pre-Aniversary) = {"x":0.0,"y":143.1999969482422,"z":0.0}

## Position of the shrine in Commencement
# Setting type: Vector3
# Default value: {"x":-3.9000000953674318,"y":-150.60000610351563,"z":-331.20001220703127}
Shrine Position in Commencement = {"x":-3.9000000953674318,"y":-150.60000610351563,"z":-331.20001220703127}

## Angle (rotation) of the shrine in Commencement
# Setting type: Vector3
# Default value: {"x":-70.0,"y":164.0,"z":0.0}
Shrine Angle in Commencement = {"x":-70.0,"y":164.0,"z":0.0}

[Director]

## Cost of the shrine in director credits. By defeult equal to the cost of most shrines.
# Setting type: Int32
# Default value: 20
Director Cost = 20

## Weight of the shrine for director. The lower the value, the more rare the shrine is. By default has the same weight as Shrine of Order, the only difference is that it can spawn anywhere.
# Setting type: Int32
# Default value: 1
Director Weight = 1

## Category of interactable. If you change this, then you should also change Director Cost and Director Weight, as default values for those are balanced around it being spawned as a shrine.
# Setting type: InteractableCategory
# Default value: Shrines
# Acceptable values: Invalid, Custom, Chests, Barrels, Shrines, Drones, Misc, Rare, Duplicator, VoidStuff, StormStuff
Director Category = Shrines

[General]

## Amount of times a single shrine can repair before deactivating. Set to 0 for infinite.
# Setting type: Int32
# Default value: 1
Max Uses = 1

## Make the Commencement shrine act like Bazaar shrine.
# Setting type: Boolean
# Default value: false
Use Lunar Coins in Moon = false

[Interactable Type]

## Use scrapper-like variant, with separate cost for each broken item and ability to select what you want to repair. Scrapper-like variant only works with gold. Setting this to false will return the mod to its pre 1.2.0 function. Each variant has its own config file, AllInOne for pre-1.2.0 version and PerItem for newer.
# Setting type: Boolean
# Default value: true
Use Scrapper-like variation = true

[Model]

## Use shitty model that I made myself. If you want to see what bad modeling by bad programmer looks like - be my guest. I made it, so might as well put it here.
# Setting type: Boolean
# Default value: false
Use Shitty Model = false

[RepairList]

## Main Repair List, by default filled with pairs of breakable-original vanilla items, can be used to create custom pairs of brokenItem - repairedItem, including those from mods. Syntax: (broken) - (new), delimiter: ','
# Setting type: String
# Default value: ExtraLifeConsumed - ExtraLife, ExtraLifeVoidConsumed - ExtraLifeVoid, FragileDamageBonusConsumed - FragileDamageBonus, HealingPotionConsumed - HealingPotion, RegeneratingScrapConsumed - RegeneratingScrap, BossHunterConsumed - BossHunter, LowerPricedChestsConsumed - LowerPricedChests
Repair List = ExtraLifeConsumed - ExtraLife, ExtraLifeVoidConsumed - ExtraLifeVoid, FragileDamageBonusConsumed - FragileDamageBonus, HealingPotionConsumed - HealingPotion, RegeneratingScrapConsumed - RegeneratingScrap, BossHunterConsumed - BossHunter

